## cronolog 1.6.2+rpk

=== debian/control ===
Source: cronolog
Section: web
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dejagnu
Standards-Version: 4.7.0
Homepage: http://www.cronolog.org/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/cronolog.git
Vcs-Browser: https://salsa.debian.org/debian/cronolog

Package: cronolog
Architecture: any
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends}
Description: Logfile rotator for web servers
 A simple program that reads log messages from its input and writes
 them to a set of output files, the names of which are constructed
 using template and the current date and time.  The template uses the
 same format specifiers as the Unix date command (which are the same
 as the standard C strftime library function).
 .
 It intended to be used in conjunction with a Web server, such as
 Apache, to split the access log into daily or monthly logs:
 .
   TransferLog "|/usr/bin/cronolog /var/log/apache/%Y/access.%Y.%m.%d.log"
 .
 A cronosplit script is also included, to convert existing
 traditionally-rotated logs into this rotation format.
