=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file, written by Maxime Chatelle <mmyc@gmx.com>

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


# install destination
DESTDIR = $(CURDIR)/debian/cronolog

# std flags
CFLAGS += -g -Wall
#  must be used on architecture where sizeof(ptr*) > sizeof(int) (bug#323425)
CFLAGS += -D_XOPEN_SOURCE
#  enable large file support (more than 2GiB) (bug#304626)
CFLAGS += -D_FILE_OFFSET_BITS=64

export DEB_CFLAGS_MAINT_APPEND = -Wall -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64

%:
	dh $@

# move command to /usr/bin instead of /usr/sbin
override_dh_auto_install:
	dh_auto_install
	mkdir -p $(DESTDIR)/usr/bin
	mv $(DESTDIR)/usr/sbin/cronolog $(DESTDIR)/usr/bin
	mv $(DESTDIR)/usr/sbin/cronosplit $(DESTDIR)/usr/bin
	rmdir $(DESTDIR)/usr/sbin

# delete "dir" file, auto-generated by install-info
override_dh_installinfo:
	dh_installinfo
	rm -f $(DESTDIR)/usr/share/info/dir $(DESTDIR)cronolog/usr/share/info/dir.old

# disable testing
override_dh_auto_test:
