=== debian/tests/control ===
Test-Command: cronolog --version 2>&1 | grep "^cronolog"
Restrictions: superficial

Tests: basic-log test-period
